/*
  An implementation of the Extended Euclidean Algorithm to find
  the modular inverse of a number.

  Part of my implementation of the RSA encryption scheme
*/

#include <stdio.h>
#include "gcd.h" // For the gcd
#include "inverse.h" // For the inverse

int main ()
{
  unsigned long int a = 8, b = 7;

  printf ("inverse of %lu (mod %lu) = %ld\n", a, b, inverse (a, b) );

  return 0;
}
